View Issue Details

IDProjectCategoryView StatusLast Update
00311932.x IDE BugsUIPublic2019-08-19 10:29
ReporterDanAssigned ToSteven Campbell 
PriorityLowSeverityText/TypoReproducibility100%
Status ClosedResolutionFixed 
Platform-OSWindows 10OS VersionPro x64
Product Version2.2.3 
Target Version2.2.4Fixed in Version2.2.4 
Summary0031193: UI: Mixed usage of "licence"/"license" throughout the IDE
DescriptionWe have a number of cases where the IDE uses the word "licence" in some strings (correct for most languages) and "license" in others (only correct if you're in US English). Sometimes mixing them up on the same dialog...

Expected: The strings all use "licence" when referring to the actual agreement or your licence file. "License" is a verb.

 
Steps To Reproduce1. Allow an Amazon or other non-Trial licence to expiry.
2. Observe the dialog shown.
Repro: 100%

1. Open a project which uses Spine.
2. See the EULA screen.
Repro: 100%

Various other places in the IDE...
Additional Informationhttps://www.grammar-monster.com/easily_confused/licence_license.htm
TagsIDE
2.x IDE Found In2.2.3.436
2.x Runtime Found In
2.x IDE Verified In9.2.1.1945
2.x Runtime Verified In9.9.1.1531

Activities

Dan

2019-07-17 11:06

Adminstrator  

LicensingTypo.png (59,944 bytes)
LicensingTypo.png (59,944 bytes)

Dan

2019-07-17 11:11

Adminstrator   ~0064449

Fixed in github.

Steven Campbell

2019-07-18 09:52

Manager   ~0064459

Fixed in Red IDE/GitHub Pull Request 4730
Git Id: 0c3e413025edf3f7dd91c6fb325ccae9ee48febf